## sp-rich-core 1.32%2b0m5

=== debian/changelog ===
sp-rich-core (1.32+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Tue, 22 Sep 2009 16:09:24 +0300

sp-rich-core (1.32) unstable; urgency=low

  * rich-core split to two init scripts to perform core dumping and 
    setup of core pattern separately.
  * Some minor refactoring perfomed.
  * Fixes: NB#135935

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Tue, 22 Sep 2009 15:51:58 +0300

sp-rich-core (1.31+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Thu, 10 Sep 2009 15:30:29 +0300

sp-rich-core (1.31) unstable; urgency=low

  * Added sp-rich-core dependency to sp-oops-extract (Fixes: NB#138276)

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Thu, 10 Sep 2009 14:45:14 +0300

sp-rich-core (1.30+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Tue, 08 Sep 2009 13:19:25 +0300

sp-rich-core (1.30) unstable; urgency=low

  * sp-rich-core setups regular core dumping when disabled (Fixes: NB#135935)
  * sp-rich-core-enable minor cleanup (Fixes: NB#131730)
  * Redundant scripts removed
  * Added sp-rich-core-enable dependency to sp-rich-core
  * Removed sp-rich-core dependency to sp-rich-core-enable

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Tue, 08 Sep 2009 10:48:47 +0300

sp-rich-core (1.29+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Fri, 28 Aug 2009 12:37:23 +0300

sp-rich-core (1.29) unstable; urgency=low

  * Added startup to record abnormal boot reasons (Fixes: NB#134899)

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Fri, 28 Aug 2009 11:40:49 +0300

sp-rich-core (1.28+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Wed, 19 Aug 2009 15:05:24 +0300

sp-rich-core (1.28) unstable; urgency=low

  * Added sp-rich-core-enable source/package (Fixes: NB#131730)
  * Added dependency for sp-rich-core to depend on sp-rich-core-enable

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Wed, 19 Aug 2009 11:13:35 +0300

sp-rich-core (1.27+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Wed, 12 Aug 2009 12:51:22 +0300

sp-rich-core (1.27) unstable; urgency=low

  * osso-product-info fields should be present in rich cores (Fixes: NB#132485)

 -- Stanislavs Lielausis <ext-stanislavs.3.lielausis@nokia.com>  Wed, 12 Aug 2009 12:16:19 +0300

sp-rich-core (1.26+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 29 Jun 2009 14:40:21 +0300

sp-rich-core (1.26) unstable; urgency=low

  * Fixes NB#102200: get the signal without the kernel patch

 --  Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 29 Jun 2009 14:38:12 +0200

sp-rich-core (1.25) unstable; urgency=low

  * Fixes NB#121539: support for --no-section-header need updating
  * Fixes NB#121244: use obsolete /etc/osso_software_version file

 --  Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 15 Jun 2009 16:36:30 +0200

sp-rich-core (1.24) unstable; urgency=low

  * Fixes: NB#118541 - Trivial optimization and issues

 --  Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 15 Jun 2009 13:14:40 +0200

sp-rich-core (1.23) unstable; urgency=low

  * Fixes: NB#117425 - Including X server logs in Corematic dumps

 --  Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Fri, 22 May 2009 16:42:10 +0200

sp-rich-core (1.22) unstable; urgency=low

  * Fixes: NB#115241 - rich-core should avoid oops log rcore creation on
    first boot

 --  Eero Tamminen <eero.tamminen@nokia.com>  Fri,  8 May 2009 16:20:32 +0300

sp-rich-core (1.21) unstable; urgency=low

  * Fixes: NB#112765 - Improvement: identify individual device with
    partial wlan mac in rich core file name
  * Iinitial version of this was present in version 1.20, this version
    expands the identifier to also apply to oopslogs

 --  Eero Tamminen <eero.tamminen@nokia.com>  Wed,  6 May 2009 13:57:19 +0300

sp-rich-core (1.20) unstable; urgency=low

  * Improvement: identify individual device with partial wlan mac
    in rich core file name

 --  Eero Tamminen <eero.tamminen@nokia.com>  Mon,  4 May 2009 16:57:57 +0300

sp-rich-core (1.1.9) unstable; urgency=low

  * Automatic boot-time creation of kernel oopslog rich core 
    now succeeds again. (Workaround for the NB#107537 until the parent
    bug is fixed and allows a proper fix)

 --  Eero Tamminen <eero.tamminen@nokia.com>  Wed, 15 Apr 2009 09:50:13 +0300

sp-rich-core (1.1.8) unstable; urgency=low

  * Rich-core-dumper: Core_pid variable value is now set in a slightly
    more optimized fashion.

 --  Eero Tamminen <eero.tamminen@nokia.com>  Wed, 18 Mar 2009 10:05:03 +0200

sp-rich-core (1.1.7) unstable; urgency=low

  * Fixes: NB#105421 - Extracting kernel oops logs at startup needs
    device name change, again

 --  Eero Tamminen <eero.tamminen@nokia.com>  Thu, 12 Mar 2009 15:56:04 +0200

sp-rich-core (1.1.6) unstable; urgency=low

  * Removed some bashisms from the rich-core-dumper. Fixes: NB#103583
  * Rich-core-dumper no longer relies on CORE_EXE and CORE_PID
    environmental variables. Fixes: NB#102200

 --  Eero Tamminen <eero.tamminen@nokia.com>  Mon,  2 Mar 2009 16:15:18 +0200



## sp-rich-core 1.34%2b0m5

=== src/Makefile ===
all:
	gcc -O2 -o rich-core-extract rich-core-extract.c

clean:
	rm rich-core-extract

=== debian/changelog ===
sp-rich-core (1.34+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Thu, 11 Feb 2010 16:24:07 +0200

sp-rich-core (1.34) unstable; urgency=low

  * rich-core-dumper gets core name via --name=corename. Fixes: NB#152987
  * rich-core pattern is set up to pass this name using %e option 
  * rich-core-dumper now checks can it create a file. Fixes: NB#155374

 -- Olev Kartau <olev.kartau@nokia.com>  Tue, 9 Feb 2010 15:00:14 +0300

sp-rich-core (1.33) unstable; urgency=low

  * Optimizations, POSIX-compat fixes to rich-core-dumper. Fixes: NB#140057
    changed order of sections: process-related first
    update dsme stats at the end because no hurry with them
    bashisms removed
    optimization to grepping from white/black lists
  * dump ifconfig in oopslog case
  * Include dmesg output in rich core. Fixes: NB#148096

 -- Olev Kartau <olev.kartau@nokia.com>  Thu, 10 Dec 2009 11:00:14 +0300

## sp-rich-core 1.35%2b0m5

=== Makefile ===

install:
	install -d $(DESTDIR)/etc/init.d
	install -d $(DESTDIR)/etc/rc2.d
	install -d $(DESTDIR)/etc/event.d
	install -d $(DESTDIR)/usr/sbin
	install scripts/rich-core-dumper $(DESTDIR)/usr/sbin
	install -d $(DESTDIR)/usr/bin
	$(MAKE) -C src
	install src/rich-core-extract $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/man/man1/
	cp man/* $(DESTDIR)/usr/share/man/man1/

	install scripts/rich-core-pattern $(DESTDIR)/etc/init.d
	install -m 644 scripts/rich_core_pattern $(DESTDIR)/etc/event.d
	install scripts/rich-core-dumps $(DESTDIR)/etc/init.d
	install -m 644 scripts/rich_core_dumps $(DESTDIR)/etc/event.d
	
	# sp-rich-core-enable
	install -d $(DESTDIR)/etc/X11/Xsession.post
	install -m755 scripts/AArich-core-enable $(DESTDIR)/etc/X11/Xsession.post

=== debian/changelog ===
sp-rich-core (1.35+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.35+0m5

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Fri, 11 Jun 2010 15:05:19 +0300

sp-rich-core (1.35) unstable; urgency=low

  * rich-core-dumper checks /tmp/do_not_dump_rich_cores flag Fixes: NB#162413

 -- Olev Kartau <olev.kartau@nokia.com>  Wed, 9 Jun 2010 15:46:14 +0300

=== debian/control ===
Source: sp-rich-core
Section: devel
Priority: optional
Maintainer: Eero Tamminen <eero.tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.2

Package: sp-rich-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lzop, sp-endurance, sp-oops-extract
Recommends: osso-product-info
Description: Rich core
 Create rich core dumps. Rich cores include information about system
 state and core in a single compressed file. Requires a kernel that
 supports piping core dumps.

Package: sp-rich-core-postproc
Architecture: any
Depends: ${shlibs:Depends}, lzop
Description: Rich core postprocessing
 Tools to extract information from rich cores.

Package: sp-rich-core-enable
Architecture: any
Depends: ${shlibs:Depends}, sp-rich-core
Conflicts: crash-reporter
Description: Enables rich-core dumping without using crash-reporter.
 Package creates directory to activate rich-core-dumper and stops 
 crash-reporter service if present.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


#Architecture 
build: build-arch

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	# Add here commands to compile the arch part of the package.
	#$(MAKE) 
	touch build-arch-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp configure-stamp

	# Add here commands to clean up after the build process.
	# -$(MAKE) clean

	dh_clean 

install: install-arch

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	dh_install -s --sourcedir=$(CURDIR)/debian/tmp

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep:

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch
.PHONY: build clean binary-arch binary-indep binary install install-arch configure
